"use strict";

exports.__esModule = true;
exports["default"] = void 0;
var _react = _interopRequireDefault(require("react"));
var _capitalize = _interopRequireDefault(require("lodash/capitalize"));
var _material = require("@mui/material");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
function LabelledMetrics(_ref) {
  var title = _ref.title,
    label = _ref.label,
    valueModifier = _ref.valueModifier,
    labelDisplay = _ref.labelDisplay,
    _ref$data = _ref.data,
    data = _ref$data === void 0 ? [] : _ref$data;
  return /*#__PURE__*/_react["default"].createElement(_material.Box, null, /*#__PURE__*/_react["default"].createElement(_material.Tooltip, {
    title: title,
    placement: "top"
  }, /*#__PURE__*/_react["default"].createElement(_material.Typography, {
    variant: "subtitle2",
    color: "inherit",
    noWrap: true
  }, /*#__PURE__*/_react["default"].createElement("b", null, title))), /*#__PURE__*/_react["default"].createElement(_material.TableContainer, {
    component: _material.Paper
  }, /*#__PURE__*/_react["default"].createElement(_material.Table, {
    size: "small"
  }, /*#__PURE__*/_react["default"].createElement(_material.TableHead, null, /*#__PURE__*/_react["default"].createElement(_material.TableRow, null, /*#__PURE__*/_react["default"].createElement(_material.TableCell, {
    size: "small"
  }, /*#__PURE__*/_react["default"].createElement("b", null, (0, _capitalize["default"])(labelDisplay !== null && labelDisplay !== void 0 ? labelDisplay : label))), /*#__PURE__*/_react["default"].createElement(_material.TableCell, {
    size: "small",
    align: "right"
  }, /*#__PURE__*/_react["default"].createElement("b", null, "Value")))), /*#__PURE__*/_react["default"].createElement(_material.TableBody, null, data.map(function (_ref2) {
    var _ref2$labels = _ref2.labels,
      labels = _ref2$labels === void 0 ? {} : _ref2$labels,
      value = _ref2.value;
    return /*#__PURE__*/_react["default"].createElement(_material.TableRow, {
      key: labels[label]
    }, /*#__PURE__*/_react["default"].createElement(_material.TableCell, {
      size: "small"
    }, labels[label]), /*#__PURE__*/_react["default"].createElement(_material.TableCell, {
      size: "small",
      align: "right"
    }, valueModifier ? valueModifier(value) : value));
  })))));
}
var _default = LabelledMetrics;
exports["default"] = _default;
module.exports = exports.default;