"use strict";

exports.__esModule = true;
exports.useForceUpdate = useForceUpdate;
var _react = require("react");
//
// Copyright 2023 Vulcanize, Inc.
//

function useForceUpdate() {
  var _useState = (0, _react.useState)(0),
    setValue = _useState[1]; // integer state
  var forceUpdate = (0, _react.useCallback)(function () {
    return setValue(function (value) {
      return value + 1;
    });
  }, [setValue]); // update state to force render

  return forceUpdate;
}