"use strict";

exports.__esModule = true;
exports.useThrottledCallback = useThrottledCallback;
var _react = require("react");
var _throttle = _interopRequireDefault(require("lodash/throttle"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
//
// Copyright 2023 Vulcanize, Inc.
//

function useThrottledCallback(callback, waitTime, options) {
  var throttledCallback = (0, _react.useCallback)((0, _throttle["default"])(callback, waitTime, options), [callback]);
  return throttledCallback;
}